Subject: RE: RE : [Pana] Notification AVP

From: "Susan Thomson \(sethomso\)" <[email-masked]>
Date: Tue, 12 Jul 2005 23:20:29 -0400

My preference would be option 1 listed below. Only if there is a use case where an error needs to result when this AVP is not recognized, then option 2 may be allowed.

Thanks
Susan

> -----Original Message-----
> From: Yoshihiro Ohba [mailto:[email-masked]] 
> Sent: Tuesday, July 12, 2005 2:26 PM
> To: Susan Thomson (sethomso)
> Cc: Yoshihiro Ohba; MORAND Lionel RD-CORE-ISS; [email-masked]
> Subject: Re: RE : [Pana] Notification AVP
> 
> Susan,
> 
> No one else has shown strong opinion about this.  But I think 
> you are right.  If there is no objection, it might be good to 
> change it.  An issue is that I already submitted pana-pana-09 
> yesterday but I think we can quickly submit pana-pana-10 with 
> this minor change:
> 
> Which is better?
> 
> - 'M' bit for Notification AVP MUST NOT be set.
> - 'M' bit for Notification MAY be set.
> 
> Regards,
> Yoshihiro Ohba
> 
> 
> On Tue, Jul 12, 2005 at 12:39:19PM -0400, Susan Thomson 
> (sethomso) wrote:
> > Shouldn't we be erring on the side of the "be conservative 
> in what you send" principle here?
> > 
> > Forcing AVPs to be mandatory with a content that is 
> entirely optional to implement seems to decrease the chances 
> of interoperability.
> > 
> > Thanks
> > Susan
> > 
> > > -----Original Message-----
> > > From: [email-masked] 
> [mailto:[email-masked]] On Behalf 
> > > Of Yoshihiro Ohba
> > > Sent: Friday, July 08, 2005 5:40 PM
> > > To: MORAND Lionel RD-CORE-ISS
> > > Cc: Yoshihiro Ohba; [email-masked]
> > > Subject: Re: RE : [Pana] Notification AVP
> > > 
> > > Based on the opinion from Lionel and Victor, probably it 
> is good to 
> > > keep the current text as it is (i.e., 'M' bit is set for all AVPs 
> > > defined in pana-pana).
> > > 
> > > Thanks,
> > > Yoshihiro Ohba
> > > 
> > > 
> > > On Fri, Jul 08, 2005 at 09:36:29AM +0200, MORAND Lionel 
> RD-CORE-ISS 
> > > wrote:
> > > > I have no strong opinion on this this issue.
> > > > 
> > > > Anyway, from my understanding, the receiver can ignore the
> > > content of the Notification AVP but not the AVP itself i.e. 
> > > the 'M' bit should be set and the AVP is defined as 
> optional in the 
> > > ABNF description of the commands that may convey this information.
> > > > 
> > > > Lionel
> > > > 
> > > > > -----Message d'origine-----
> > > > > De : [email-masked] [mailto:[email-masked]]
> > > De la part
> > > > > de Yoshihiro Ohba
> > > > > Envoy？ : jeudi 7 juillet 2005 22:34
> > > > > ？ : [email-masked]
> > > > > Objet : [Pana] Notification AVP
> > > > > 
> > > > > 
> > > > > Currently the 'M' bit of PANA AVP header is set for all
> > > AVPs defined
> > > > > in the PANA specification.
> > > > > 
> > > > > On the other hand, some AVP could be defined with the 'M' 
> > > bit unset.
> > > > > 
> > > > > Notification AVP is one (and only one?) such AVP.  The
> > > Notification
> > > > > AVP contains displayable message, since the receiver of
> > > this AVP can
> > > > > just ignore it.
> > > > > 
> > > > > Any opinion?
> > > > > 
> > > > > Yoshihiro Ohba
> > > > > 
> > > > > 
> > > > > _______________________________________________
> > > > > Pana mailing list
> > > > > [email-masked]
> > > > > https://www1.ietf.org/mailman/listinfo/pana
> > > > > 
> > > 
> > > _______________________________________________
> > > Pana mailing list
> > > [email-masked]
> > > https://www1.ietf.org/mailman/listinfo/pana
> > > 
> > 
> > _______________________________________________
> > Pana mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/pana
> 

_______________________________________________
Pana mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pana